##parameters=
#$Id: getDocumentVocabularies.py,v 1.5 2003/10/30 15:51:45 guillaum Exp $
"""
Here are defined the vocabularies.
Please, follow the same pattern to add new ones.
"""

vocabularies = {
    'dummy_voc': {
        'type': 'CPS Vocabulary',
        'data': {
            'dict': {
                'news': "News",
                'society': "Society",
                'technology': "Technology",
                },
            'list': [
                'society',
                'news',
                'technology',
                ],
            },
        },
    }

cvocabularies = context.getCustomDocumentVocabularies()

vocabularies.update(cvocabularies)

return vocabularies
