## Script (Python) "getDocumentWidgets"
##parameters=
#$Id: getDocumentWidgets.py,v 1.13 2003/11/18 16:47:34 ben Exp $

"""
Here are defined the list of widgets to be registred
Please, follow the same pattern to add new ones
"""

widgets = {
        'Int Widget': {
            'type': 'CPS Int Widget Type',
            'data': {},
            },
        'Long Widget': {
            'type': 'CPS Long Widget Type',
            'data': {},
            },
        'Float Widget': {
            'type': 'CPS Float Widget Type',
            'data': {},
            },
        'String Widget': {
            'type': 'CPS String Widget Type',
            'data': {},
            },
        'Password Widget': {
            'type': 'CPS Password Widget Type',
            'data': {},
            },
        'Link Widget': {
            'type': 'CPS Link Widget Type',
            'data': {},
            },
        'TextArea Widget': {
            'type': 'CPS TextArea Widget Type',
            'data': {},
            },
        'Text Widget': {
            'type': 'CPS Text Widget Type',
            'data': {},
            },
        'Lines Widget': {
            'type': 'CPS Lines Widget Type',
            'data': {},
            },
        'Date Widget': {
            'type': 'CPS Date Widget Type',
            'data': {},
            },
        'DateTime Widget': {
            'type': 'CPS DateTime Widget Type',
            'data': {},
            },
        'File Widget': {
            'type': 'CPS File Widget Type',
            'data': {},
            },
        'AttachedFile Widget': {
            'type': 'CPS AttachedFile Widget Type',
            'data': {},
            },
        'Image Widget': {
            'type': 'CPS Image Widget Type',
            'data': {},
            },
        'Photo Widget': {
            'type': 'CPS Photo Widget Type',
            'data': {},
            },
        'Html Widget': {
            'type': 'CPS Html Widget Type',
            'data': {},
            },
         'Method Widget': {
            'type': 'CPS Method Widget Type',
            'data': {},
            },
        'Rich Text Editor Widget': {
            'type': 'CPS Rich Text Editor Widget Type',
            'data': {},
            },
        'Select Widget': {
            'type': 'CPS Select Widget Type',
            'data': {},
            },
        'Dummy Widget': {
            'type': 'CPS Customizable Widget Type',
            'data': {
                'field_types': ['CPS String Field'],
                'prepare_validate_method': 'widget_dummy_prepare_validate',
                'render_method': 'widget_dummy_render',
                },
            },
        'MultiSelect Widget': {
            'type': 'CPS MultiSelect Widget Type',
            'data': {},
            },
        'ExtendedSelect Widget': {
            'type': 'CPS ExtendedSelect Widget Type',
            'data': {},
            },
        'InternalLinks Widget': {
            'type': 'CPS InternalLinks Widget Type',
            'data': {},
            },
        }

cwidgets = context.getCustomDocumentWidgets()

widgets.update(cwidgets)

return widgets
